/sales/quotes/{id}
This endpoint allows you to get a specific Quote.
getQuote
| Name | Type | Description |
|---|---|---|
id
required
|
string |
The Quote ID |
data
object
Quote model structure details
id
string
read-only
ID of the Quote.
type
string
read-only
Model type
quote
attributes
object
quote_id
integer
read-only
ID of the Quote.
quote_uuid
string (uuid) | null
read-only
UUID of the Quote.
code
integer
read-only
Code of the Quote. Visible on Infraspeak platform.
client_id
integer | null
read-only
ID of the Client associated to the quote.
state
string
State of the Quote.
DRAFT
READY
ACCEPTED
DECLINED
CANCELLED
CONVERTED_TO_SALE
Example: DRAFT
entity_id
integer
read-only
created_at
string | null
read-only
Creation date of the Quote
Example: 2021-07-21 18:38:00
created_by
integer
read-only
ID of the operator that created the Quote.
started_at
string | null
read-only
Date when Quote has started.
Example: 2021-07-21 18:38:00
started_by
integer | null
read-only
ready_at
string | null
read-only
Date Quote is marked as Awaiting.
Example: 2021-07-21 18:38:00
ready_by_id
integer | null
read-only
ID of the user who marked the quote as Awaiting.
ready_by_type
string | null
Type of user who marked the Quote as Awaiting.
OPERATOR
CONTACT
accepted_at
string | null
read-only
Date Quote is accepted.
Example: 2021-07-21 18:38:00
accepted_by_id
integer | null
read-only
ID of the user who accepted the Quote.
accepted_by_type
string | null
Type of user who accepted the Quote.
OPERATOR
CONTACT
declined_at
string | null
read-only
Date Quote was declined.
Example: 2021-07-21 18:38:00
declined_by_id
integer | null
read-only
ID of the user who declined the quote.
declined_by_type
string | null
Type of user who declined the Quote.
OPERATOR
CONTACT
cancelled_by
integer | null
read-only
ID of the user who cancelled the quote.
cancelled_at
string | null
read-only
Date Quote was cancelled.
Example: 2021-07-21 18:38:00
last_sent_at
string | null
read-only
Date Quote was last sent.
Example: 2021-07-21 18:38:00
last_sent_by
integer | null
read-only
last_share_at
string | null
read-only
Date Quote was last shared.
Example: 2021-07-21 18:38:00
last_share_by
integer | null
read-only
converted_by
integer | null
read-only
converted_at
string | null
read-only
Date Quote was converted.
Example: 2021-07-21 18:38:00
description
string | null
Quote observations.
internal_quote_id
string | null
read-only
Internal ID of the Quote.
Example: FS-123
external_quote_id
string | null
read-only
External ID of the Quote.
Example: FS-123
related_to_type
string | null
Type of object related to the quote.
FAILURE
SCHEDULED_WORK
Example: FAILURE
related_to_id
integer | null
ID of the object (failure or scheduled work) related to the quote.
base_total
integer | null
read-only
Total Base value of the Quote, without VAT and discount.
discount_total
integer | null
read-only
Total value of the discount applied to the Quote items.
vat_total
integer | null
read-only
Total value of the VAT applied to the Quote items.
total
integer
read-only
Total value of the Quote, considering the discount and VAT applied.
sell_order_id
integer | null
read-only
ID of the Sale associated to the Quote, after converted.
updated_at
string | null
read-only
Date Quote was updated.
Example: 2021-07-21 18:38:00
deleted_at
string | null
read-only
Date Quote was deleted.
Example: 2021-07-21 18:38:00
quote_request_id
integer | null
read-only
received_quote_request_id
integer | null
read-only
is_from_network
boolean
read-only
client_answer
object
clientUserName
string
clientName
string
answer
string
meta
object
custom_fields
object | null
status
string
error
error
object
properties
object
Only present when related to property validation error
dev_message
string
Example: Property validation error. Check the "properties" section in the response.
http_code
integer
400
message
string
Example: Property validation error.
more_info
string
status
string
error
error
object
http_code
integer
401
message
string
Example: Authentication token invalid.
more_info
string
status
string
error
error
object
http_code
integer
403
message
string
Example: Action unauthorized
more_info
string
status
string
error
error
object
http_code
integer
404
message
string
Example: Resource not found
more_info
string | null
status
string
error
error
object
http_code
integer
429
message
string
Example: Too Many Requests.
more_info
string
status
string
error
error
object
http_code
integer
500
message
string
Example: An error has occurred during the request.
more_info
string
curl -X GET \
'https://api.sandbox.infraspeak.com/v3/sales/quotes/{id}' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.sandbox.infraspeak.com/v3/sales/quotes/{id}', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
const data = await response.json();
$response = Http::withHeaders([
'Accept' => 'application/json',
'Content-Type' => 'application/json',
])->withToken('YOUR_API_TOKEN')
->get('https://api.sandbox.infraspeak.com/v3/sales/quotes/{id}');
import requests
response = requests.get(
'https://api.sandbox.infraspeak.com/v3/sales/quotes/{id}',
headers={
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
)
data = response.json()